Subject: Re: linux 2.4 on Xilinx ml403

From: Peter Ryser <[email-masked]>
Date: Thu, 08 Dec 2005 08:14:13 -0800

Make sure your system.mss contains something like:

BEGIN OS
 PARAMETER OS_NAME = linux_mvl31
 PARAMETER OS_VER = 1.01.a
 PARAMETER PROC_INSTANCE = ppc405_0
 PARAMETER MEM_SIZE = 0x4000000
 PARAMETER PLB_CLOCK_FREQ_HZ = 100000000
 PARAMETER connected_periphs = 
(RS232_Uart,IIC_EEPROM,SysACE_CompactFlash,Ethernet_MAC,opb_intc_0)
END

If it does not use XPS and in the menu select Platform Software 
Settings. Use linux as Operating System and linux_mvl31_v1_01_a as the 
MLD. The rerun the library generation. Also make sure that you have 
enabled the interrupts for System ACE CF in the hardware.

- Peter

Paulinha wrote:

> Hi all,
>
> I have been trying to run linux 2.4.26 on Virtex 4 for a while and 
> without success.
>
> I am trying to implement a simple design, with an UART, SystemACE and 
> everything interrupt driven. When I try to make bzImage, there is an 
> error in (SysACE) adapter.c file, because XPAR_INTC_0_SYSACE_0_VEC_ID 
> is not defined.
>
> I have applied the patch given by Xilinx for switching from the ml300 
> to the ml403, which copies the bsp, .config and xparameter files into 
> the kernel.
>
> I am stucked here, and do not know how to keep going from that.
> Could anyone help me a little bit?
>
> Thanks and have a good day!
>
>------------------------------------------------------------------------
>
>_______________________________________________
>Linuxppc-embedded mailing list
>[email-masked]
>https://ozlabs.org/mailman/listinfo/linuxppc-embedded
>